package com.sunxung.factoring.component.util;

import java.util.Collection;

/**
 * @Description:集合工具辅助类
 * @Author:JingJiang
 * @E-mail:254702920@qq.com
 * @Date:2017年6月8日 下午6:51:19
 */
public class CollectionUtil {

    /**
     * 集合为null或者长度为0返回true，否则返回false
     * 
     * @param collection 被判断对象
     */
    public static boolean isEmpty(Collection<?> collection) {
        if (collection == null || collection.size() == 0) {
            return true;
        } else {
            return false;
        }
    }

    /**
     * 集合为null或者长度为0返回false，否则返回true
     * 
     * @param collection 被判断对象
     * @return
     */
    public static boolean isNotEmpty(Collection<?> collection) {
        return !isEmpty(collection);
    }
}
